<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/wordpress-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2021 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
namespace JchOptimize\Controller;

use JchOptimize\Model\Configure;
use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
class ApplyAutoSetting extends AbstractController implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    /**
     * @var Configure
     */
    private $model;
    public function __construct(Configure $model, ?Input $input = null)
    {
        $this->model = $model;
        parent::__construct($input, null);
    }
    public function execute()
    {
        $this->model->applyAutoSetting($this->getInput()->get('autosetting', 's1'));
        echo \json_encode(['success' => \true]);
        exit;
    }
}
