<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/wordpress-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
namespace JchOptimize\Controller;

use JchOptimize\Core\Admin\Icons;
use JchOptimize\Model\Cache;
use JchOptimize\View\MainHtml;
use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
class Main extends AbstractController
{
    /**
     * @var MainHtml
     */
    private $view;
    /**
     * @var Cache
     */
    private $model;
    /**
     * @var Icons
     */
    private $icons;
    public function __construct(MainHtml $view, Cache $model, Icons $icons, ?Input $input = null)
    {
        $this->view = $view;
        $this->model = $model;
        $this->icons = $icons;
        parent::__construct($input, null);
    }
    public function execute()
    {
        list($size, $numFiles) = $this->model->getCacheSize();
        $this->view->setData(['size' => $size, 'numFiles' => $numFiles, 'tab' => 'main', 'icons' => $this->icons]);
        $this->view->loadResources();
        echo $this->view->render();
    }
}
