<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/wordpress-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2021 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
namespace JchOptimize\Log;

use Psr\Log\AbstractLogger;
class WordpressNoticeLogger extends AbstractLogger
{
    public function success($message, array $context = [])
    {
        $this->log('success', $message, $context);
    }
    public function log($level, $message, array $context = array())
    {
        $messages = [['message' => $message, 'type' => $level]];
        if ($existingMessages = \get_transient('jch-optimize_notices')) {
            $messages = \array_merge($existingMessages, $messages);
        }
        set_transient('jch-optimize_notices', \array_unique($messages), 60 * 5);
    }
}
