<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/wordpress-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
namespace JchOptimize\Model;

use JchOptimize\Core\Model\CacheModelTrait;
use _JchOptimizeVendor\Joomla\DI\ContainerAwareInterface;
use _JchOptimizeVendor\Joomla\DI\ContainerAwareTrait;
use _JchOptimizeVendor\Laminas\Cache\Storage\StorageInterface;
use _JchOptimizeVendor\Laminas\Cache\Storage\TaggableInterface;
class Cache implements ContainerAwareInterface
{
    use ContainerAwareTrait;
    use CacheModelTrait;
    /**
     * @var StorageInterface $cache
     */
    private $cache;
    /**
     * @var TaggableInterface
     */
    private $taggableCache;
    public function __construct(StorageInterface $cache, TaggableInterface $taggableCache)
    {
        $this->cache = $cache;
        $this->taggableCache = $taggableCache;
    }
}
