<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/wordpress-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
namespace JchOptimize\Plugin;

use JchOptimize\Core\Admin\Tasks;
use _JchOptimizeVendor\Joomla\Filesystem\File;
use const ABSPATH;
use const JCH_PLUGIN_DIR;
class Installer
{
    /**
     * Fires when plugin is activated and create a dir.php file in plugin root containing
     * absolute path of plugin install
     *
     *
     * @return null
     */
    public function activate()
    {
        $file = JCH_PLUGIN_DIR . 'dir.php';
        $absPath = ABSPATH;
        $code = <<<PHPCODE
<?php
           
\$DIR = '{$absPath}';
           
PHPCODE;
        File::write($file, $code);
        Tasks::leverageBrowserCaching();
    }
}
