<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/wordpress-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2021 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
namespace JchOptimize\View;

use _JchOptimizeVendor\Joomla\View\HtmlView;
class ConfigurationsHtml extends HtmlView
{
    public function loadResources()
    {
        \wp_register_script('jch-tabstate-js', JCH_PLUGIN_URL . 'media/js/tabs-state.js', ['jquery', 'jch-bootstrap-js'], JCH_VERSION, \true);
        \wp_register_script('jch-pagecacheformcontrol-js', JCH_PLUGIN_URL . 'media/js/pagecache-form-control.js', ['jquery', 'jch-chosen-js'], JCH_VERSION, \true);
        \wp_enqueue_script('jch-tabstate-js');
        \wp_enqueue_script('jch-pagecacheformcontrol-js');
    }
}
